Subject: Re: bug#7518: image-dired defcustom'd paths

From: Chong Yidong <[email-masked]>
Date: Mon, 06 Dec 2010 14:47:01 -0500

MON KEY <[email-masked]> writes:

> `image-dired-dir' is the "top-level" defcustom from which other related
> `image-dired-*' vars derive their path default values.  As such, only
> `image-dired-dir' need evaluate a form containing `locate-user-emacs-file'
> any other of the paths which "inherit" from `image-dired-dir' will either find
> an existing directoy already available or will incorrectly create one which
> may otherwise be separate from a user paths specified the in some other
> `image-dired-*' var.

If you mean that the other image-dired-* variables should use the value
of image-dired-dir, that would be fine, and a little cleaner.  I've
committed such a change.  Thanks.

> Moreover, I would argue that none of the `image-dired-*' vars should
> be hardwired by default to `user-home-directory' not only is this
> non-transparently intrusive but it is potentially error prone on w32.

If you encounter a problem with locate-user-emacs-dir on w32, report a
different bug.